%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:			os-net-config
Version:		6.1.4
Release:		2%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=6.1.4
Patch0001: 0001-Add-NIC-Mapping-Reporting-Feature.patch
Patch0002: 0002-delete-exit-on-validation-errors-option-in-unit-test.patch
Patch0003: 0003-ifcfg-don-t-restart-ovs-if-no-activate-is-specified.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-sphinx
BuildRequires:	python-oslo-sphinx

Requires:	python-setuptools
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-oslo-concurrency
Requires:	python-oslo-config
Requires:	python-oslo-utils
Requires:	python-netaddr
Requires:	python-iso8601
Requires:	python-six >= 1.5.0
Requires:	initscripts
Requires:	PyYAML
Requires:	python-pbr

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{python_sitelib}/os_net_config*


%changelog
* Thu May 03 2018 Bob Fournier <bfournie@redhat.com> 6.1.4-2
- ifcfg: don't restart ovs if --no-activate is specified (rhbz#1549107)

* Fri Apr 13 2018 Steve Linabery <slinaber@redhat.com> 6.1.4-1
- Update to 6.1.4

* Fri Feb 23 2018 Zenghui Shi <zshi@redhat.com> 6.1.2-3
- delete exit-on-validation-errors option in unit tests (rhbz#1543655)

* Fri Jan 26 2018 Zenghui Shi <zshi@redhat.com> 6.1.2-2
- Add NIC Mapping Reporting Feature (rhbz#1532140)
- OvS 2.7 support - dpdk-devargs needs to provided for DPDK devices (rhbz#1535306)

* Thu Dec 21 2017 Steve Linabery <slinaber@redhat.com> 6.1.2-1
- Update to 6.1.2

* Mon Aug 14 2017 Steve Linabery <slinaber@redhat.com> 6.1.0-2
- Fix --noop being ignored for dhclient execution

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 6.1.0-1
- Update to 6.1.0

* Thu Apr 13 2017 Steve Linabery <slinaber@redhat.com> 6.0.0-3
- Allow setting NM_CONTROLLED=yes in os-net-config ifcfg files
- Network service is failing with DPDK

* Sun Mar 19 2017 Steve Linabery <slinaber@redhat.com> 6.0.0-2
- Restart Openvswitch after adding DPDK ports

* Mon Mar 06 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-1
- Update to 6.0.0

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.1.0rc1
- Update to 6.0.0.0rc1

